summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/flowtable/0005delete_in_use_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/flowtable/0005delete_in_use_1')
-rwxr-xr-xtests/shell/testcases/flowtable/0005delete_in_use_19
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/shell/testcases/flowtable/0005delete_in_use_1 b/tests/shell/testcases/flowtable/0005delete_in_use_1
new file mode 100755
index 00000000..ce39e24e
--- /dev/null
+++ b/tests/shell/testcases/flowtable/0005delete_in_use_1
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+$NFT add table x
+$NFT add chain x x
+$NFT add flowtable x y { hook ingress priority 0\; devices = { eth0, wlan0 }\;}
+$NFT add rule x x flow offload @y
+$NFT delete flowtable x y
+echo "E: delete flowtable in use"